<script lang="ts">
    export let name;
    export let label;
    export let placeholder = "";
    export let value;
    // TODO: show/hide password
</script>

<style>
    input {
        border: 2px solid #3d3d3d;
        border-radius: 15px;
        padding: 2% 15px;
        width: 90%;
        align-self: center;
        font-size: 1.25em;
    }
    label {
        padding-left: 15px;
    }
    .input {
        margin-top: 2%;
    }
</style>

<div class="input">
    <label for="textinput-{name}">{label}</label>
    <input type="password" {name} id="textinput-{name}" {placeholder} bind:value />
</div>